Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.gui.color
Class PercentIDVarianceColorMap

    java.lang.Object
      |
      +--uk.ac.man.bioinf.gui.color.PercentIDVarianceColorMap

All Implemented Interfaces:
  ColorMap, ThreadableColorMap

public class PercentIDVarianceColorMap
extends Object
implements ThreadableColorMap

PercentIDVarianceColorMap.java Calculates a colour scheme Created: Fri Jun 9 16:03:46 2000

Version:
  $Id: PercentIDVarianceColorMap.java,v 1.10 2001/04/11 17:04:42 lord Exp $
Author:
  Phillip Lord

Field Summary
`static String` | `NAME`

Constructor Summary
`PercentIDVarianceColorMap(PercentageIDCalculator calculator)`
`PercentIDVarianceColorMap(PercentageIDCalculator calculator, ColorList lowToHighColours)`

Method Summary
`void` | `calculate()`
`Color` | `getColorAt(SequenceAlignment sa, Element elem, SequenceAlignmentPoint point)` Returns the Color at a specific position in the alignment.
`String` | `getName()` Returns the name of this colour scheme.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

Constructor Detail

### PercentIDVarianceColorMap

    public PercentIDVarianceColorMap(PercentageIDCalculator calculator)

### PercentIDVarianceColorMap

    public PercentIDVarianceColorMap(PercentageIDCalculator calculator,
                                     ColorList lowToHighColours)

Method Detail

### getColorAt

    public Color getColorAt(SequenceAlignment sa,
                            Element elem,
                            SequenceAlignmentPoint point)

  Description copied from interface: `ColorMap`
  Returns the Color at a specific position in the alignment. This method will do various things depending on the actual color map implemented.

  Specified by:
    `getColorAt` in interface `ColorMap`
  Parameters:
    `sa` - the sequence alignment
    `elem` - the element
    `point` - the location within the SA
  Returns:
    the color

### getName

    public String getName()

  Description copied from interface: `ColorMap`
  Returns the name of this colour scheme.

  Specified by:
    `getName` in interface `ColorMap`
  Returns:
    the name

### calculate

    public void calculate()

  Specified by:
    `calculate` in interface `ThreadableColorMap`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD